from django.db import models

# Create your models here.
class Template(models.Model):
  nome = models.CharField(max_length=40)
  soggetto = models.CharField(max_length=256,null=False,default="")
  oggetto = models.TextField(db_column='oggetto')
  html    = models.TextField(db_column='html')
  enabled = models.BooleanField(default=1,null=False)
  html = models.BooleanField(default=0,null=False)
  note = models.TextField(db_column='note',default='')
  class Meta: 
    ordering = ['id']
    db_table = 'template5'
    managed  = False

'''
nota: mi sa che questi template sono stati solo pensati e mai creati/utilizzati:
provando a disattivarli, viene fuori un errore nell'app causali
'''

class TemplateAdmin(models.Model):
  nome = models.CharField(max_length=40)
  soggetto = models.CharField(max_length=256,null=False,default="")
  oggetto = models.TextField(db_column='oggetto')
  html    = models.TextField(db_column='html')
  enabled = models.BooleanField(default=1,null=False)
  html = models.BooleanField(default=0,null=False)
  class Meta:
    ordering = ['id']
    db_table = 'template5_admin'
    managed = False

class TemplateAccount(models.Model):
  nome = models.CharField(max_length=40)
  soggetto = models.CharField(max_length=256,null=False,default="")
  oggetto = models.TextField(db_column='oggetto')
  html    = models.TextField(db_column='html')
  enabled = models.BooleanField(default=1,null=False)
  html = models.BooleanField(default=0,null=False)
  class Meta:
    ordering = ['id']
    db_table = 'template5_account'
    managed = False

class TemplateOther(models.Model):
  nome = models.CharField(max_length=40)
  soggetto = models.CharField(max_length=256,null=False,default="")
  oggetto = models.TextField(db_column='oggetto')
  html    = models.TextField(db_column='html')
  enabled = models.BooleanField(default=1,null=False)
  html = models.BooleanField(default=0,null=False)
  class Meta:
    ordering = ['id']
    db_table = 'template5_Other'
    managed = False
